html,
body {
  font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
  background: #eee;
  font-size: 16px;
  scroll-behavior: smooth;
}

input, button, select {
  font-size: 14px;
}

*, *::before, *::after {
  box-sizing: border-box;
}

#nav,
main {
  padding: 20px;
}

.page {
  min-height: 100vh;
  max-width: 1200px;
  background: white;
  flex-shrink: 0;
  flex-grow: 1;
  width: 100%;
  justify-self: center;
}

#nav {
  border-bottom: 1px solid #eee;
  display: flex;
  justify-content: space-between;
}

#nav-left {
  display: flex;
  font-size: 20px;
}

.nav-link.active {
  text-decoration: underline;
}

#nav-right {
  display: flex;
  align-items: center;

  img {
    width: 50px;
    border-radius: 100%;
    border: 4px solid #333;
  }

  > * {
    margin-left: 20px;
  }
}

#login {
  form {
    button {
      min-width: 300px;
      height: 50px;
      margin: 20px 0;
      display: block;
    }
  }
}

.content {
  padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
  outline: 1px solid #26b050;
}

.invalid {
  outline: 1px solid red;
}

.validation-message {
  color: red;
}

#blazor-error-ui {
  background: lightyellow;
  bottom: 0;
  box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
  display: none;
  left: 0;
  padding: 0.6rem 1.25rem 0.7rem 1.25rem;
  position: fixed;
  width: 100%;
  z-index: 1000;
}

#blazor-error-ui .dismiss {
  cursor: pointer;
  position: absolute;
  right: 0.75rem;
  top: 0.5rem;
}

.blazor-error-boundary {
  background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
  padding: 1rem 1rem 1rem 3.7rem;
  color: white;
}

.blazor-error-boundary::after {
  content: "An error has occurred."
}

.loading-progress {
  position: relative;
  display: block;
  width: 8rem;
  height: 8rem;
  margin: 20vh auto 1rem auto;
}

.loading-progress circle {
  fill: none;
  stroke: #e0e0e0;
  stroke-width: 0.6rem;
  transform-origin: 50% 50%;
  transform: rotate(-90deg);
}

.loading-progress circle:last-child {
  stroke: #1b6ec2;
  stroke-dasharray: calc(3.141 * var(--blazor-load-percentage, 0%) * 0.8), 500%;
  transition: stroke-dasharray 0.05s ease-in-out;
}

.loading-progress-text {
  position: absolute;
  text-align: center;
  font-weight: bold;
  inset: calc(20vh + 3.25rem) 0 auto 0.2rem;
}

.loading-progress-text:after {
  content: var(--blazor-load-percentage-text, "Loading");
}

code {
  color: #c02d76;
}

.monospace {
  font-family: Consolas, "Courier New", Courier, monospace;
}

.bet-list {


  .bet {
    display: flex;
    margin-bottom: 30px;
    font-size: 11px;

    &.current-user {
      outline: 4px solid #30acc6;
    }

    .avatar,
    .score-bar {
      border: 1px solid #333;
    }

    .avatar {
      border-right: 0;
      flex-grow: 0;
      position: relative;

      img {
        width: 35px;
        display: block;
      }

      .standing,
      .relationship,
      .nickname {
        position: absolute;
        font-size: 10px;
        color: white;
        background: #676767;
        text-align: center;
        z-index: 200;
      }

      .standing {
        width: 12px;
        left: -12px;
        top: -1px;
      }

      .nickname,
      .relationship {
        white-space: nowrap;
        left: -1px;
        padding: 0 2px;

      }

      .nickname {
        background: #1c1f23;
        bottom: -12px;
      }

      .relationship {
        bottom: -24px;
      }

      .money {
        position: absolute;
        bottom: 1px;
        right: 1px;
        font-size: 16px;
        color: forestgreen;
        background: white;

        &.without {
          color: #ccc;
        }
      }
    }

    .score-bar {
      flex-grow: 1;
      position: relative;
      background-color: #eee;
      display: flex;
      color: white;

      span {
        color: black;
      }

      & > * {
        padding: 6px;
      }

      .score {
        border-right: 1px solid #333;
        min-width: 3%;
        height: 100%;
        position: relative;

        &:nth-child(1) {
          background-color: #008a8a;
        }

        &:nth-child(2) {
          background: #029a9a;
        }

        &:nth-child(3) {
          background: cadetblue;
        }

        &:nth-child(4) {
          background: #71c3c5;
        }
      }

      .total-score {
        align-self: center;
        position: absolute;
        right: 10px;
        color: black;
      }

      .score-percent {
        position: absolute;
        bottom: -15px;
        background: #676767;
        color: white;
        padding: 1px 3px;
        right: 0;
      }
    }
  }
}

.winning-bet-list {
  margin-bottom: 20px;
  display: flex;
  flex-direction: column;
  align-items: center;

  .bet {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    font-size: 20px;
    margin-bottom: 20px;


    .avatar {
      position: relative;
      display: flex;
      justify-content: center;

      img {
        border-radius: 100%;
        border: 3px solid black;
        max-width: 100px;
        width: 100%;
      }
    }

    .standing {
      position: absolute;
      display: flex;
      align-items: center;
      justify-content: center;
      width: 35%;
      height: 35%;
      border: 3px solid black;
      top: 0;
      left: 0;
      border-radius: 100%;
    }

    .nickname {
      text-align: center;
      margin-top: -20px;
      padding: 2px 10px;
      background: white;
      z-index: 300;
      min-width: 100px;
      border: 3px solid black;
    }

    &:nth-of-type(1) {
      .standing {
        background: gold;
      }
    }

    &:nth-of-type(2) {
      font-size: 16px;

      .avatar {
        width: 70%;
      }

      .standing {
        background: silver;
      }
    }

    &:nth-of-type(3) {
      font-size: 14px;

      .avatar {
        width: 60%;
      }

      .standing {
        background: sandybrown;
      }
    }

    .bet-info {
      margin-top: 5px;
      border: 1px solid black;
      padding: 2px;
      font-size: 12px;
    }
  }
}

.edit-score-weight {
  display: flex;
  align-items: center;
}

.score-weight-total {
  .info-text {
    font-weight: bold;
    display: none;
  }

  &.correct {
    .correct {
      color: mediumseagreen;
      display: block;
    }
  }

  &.disabled {
    .disabled {
      color: darkgray;
      display: block;
    }
  }

  &.too-much {
    .too-much {
      color: red;
      display: block;
    }
  }

  &.too-little {
    .too-little {
      color: red;
      display: block;
    }
  }
}

.cards {
  display: flex;
  justify-content: space-between;
  width: 100%;
  align-self: center;
  flex-wrap: wrap;
  font-size: 12px;
  margin-bottom: 20px;

  .card {
    background: whitesmoke;
    box-shadow: 0 0 12px 1px rgba(0, 0, 0, .2);
    padding: 18px 24px;
    margin: 15px;
    flex-grow: 1;
  }
}

.game-toolbar {
  background: #f4c70d;
  position: sticky;
  bottom: 0;
  z-index: 300;
  padding: 2px;

  &, button {
    font-size: 12px;
  }

  .create-bet-form {
    background: white;
    max-height: 80vh;
    overflow: auto;
    position: absolute;
    bottom: 100%;
    right: 0;
    border: 2px solid black;
  }

  #set-game-date {
    position: relative;
    display: flex;
    justify-content: space-around;

    span {
      position: absolute;
      top: -10px;

    }

    input {
      width: 100%;
    }
  }
}

